# BASEMENT QUEST

the kids in the basement are gonna play some rpg in on the listserv

## about

this is an iteration on my usual pandoc static site generator

## order

instead of relying on literally naming files `0001-me-first.md` and `0002-me-second.md` so they are concatenated in the correct order, this repo introduces `basement.order`

in the file, you can `ls ./**/**` to list all files, and then order them in the way that is most pleasing to you

## documents

documents are markdown with yaml frontmatter. they are compiled into:

- html with spoilers for game ref
- 'safemode' html sans spoilers for players
- rss feed for syndicated documents

## metadata

every markdown document includes yaml frontmatter metadata

fields:

for now, treat every field as required

- title (string): title of the document. mostly for rss item id
- created (date): date of creation
- updated (date): date of most recent update. mostly of rss
- spoilers (bool): spoilers are not included in 'safemode' (default) export. they are included in 'gm' view.
- syndicated (bool): should this document be included in the rss feed?

example:

```
---
title: notes
created: 2022-07-24
updated: 2022-07-25
spoilers: yes
syndicated: no
---
```

## TODO


- [ ] change all this from lua to pandoc? see `garden` for pandoc template example
- [ ] metadata (titles, dates) getting truncated
- [ ] write all content to spoilers.html
- [ ] write `spoilers: no` to safemode. i.e. basementquest.html, or index.html
- [ ] write `syndicated: yes` to rss (include `updated` in meta data?)
